Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.SubListIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.SubListIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`

Enclosing class:
  LazyCollection<E>

    public class LazyCollection.SubListIterator
    extends LazyCollection.ReadOnlyIterator<E>

`Iterator` that iterates over a subrange of the underlying `LazyList`'s contents.

### Field Summary

Fields
`protected int` `i`
`protected int` `toIndex`

### Constructor Summary

Constructors
`SubListIterator​(int fromIndex, int toIndex)` Creates a `LazyCollection.SubListIterator` for the range `fromIndex`, including, to `toIndex`, excluding.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`E` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### toIndex

    protected final int toIndex

#### i

    protected int i

### Constructor Detail

#### SubListIterator

    public SubListIterator​(int fromIndex,
                           int toIndex)

Creates a `LazyCollection.SubListIterator` for the range `fromIndex`, including, to `toIndex`, excluding.

Parameters:
  `fromIndex` - the starting index, inclusive
  `toIndex` - the ending index, exclusive

### Method Detail

#### hasNext

    public boolean hasNext()

#### next

    public E next()